Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class AccessTimeoutTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.AccessTimeoutTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AccessTimeoutType<T>

    public class AccessTimeoutTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AccessTimeoutType<T>

This class implements the `access-timeoutType` xsd type

Original Documentation:

The access-timeoutType represents the maximum amount of
time (in a given time unit) that the container should wait for
a concurrency lock before throwing a timeout exception to the
client.
A timeout value of 0 means concurrent access is not permitted.
A timeout value of -1 means wait indefinitely to acquire a lock.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AccessTimeoutTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AccessTimeoutTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.Integer` | `getTimeout()` Returns the `timeout` element
`TimeUnitTypeType` | `getUnit()` Returns the `unit` element
`java.lang.String` | `getUnitAsString()` Returns the `unit` element
`AccessTimeoutType<T>` | `removeTimeout()` Removes the `timeout` element
`AccessTimeoutType<T>` | `setTimeout(java.lang.Integer timeout)` If not already created, a new `timeout` element with the given value will be created.
`AccessTimeoutType<T>` | `setUnit(java.lang.String unit)` If not already created, a new `unit` element with the given value will be created.
`AccessTimeoutType<T>` | `setUnit(TimeUnitTypeType unit)` If not already created, a new `unit` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessTimeoutTypeImpl

    public AccessTimeoutTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### AccessTimeoutTypeImpl

    public AccessTimeoutTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setTimeout

    public AccessTimeoutType<T> setTimeout(java.lang.Integer timeout)

  If not already created, a new `timeout` element with the given value will be created. Otherwise, the existing `timeout` element will be updated with the given value.

  Specified by:
    `setTimeout` in interface `AccessTimeoutType<T>`
  Returns:
    the current instance of `AccessTimeoutType`

### removeTimeout

    public AccessTimeoutType<T> removeTimeout()

  Removes the `timeout` element

  Specified by:
    `removeTimeout` in interface `AccessTimeoutType<T>`
  Returns:
    the current instance of `AccessTimeoutType`

### getTimeout

    public java.lang.Integer getTimeout()

  Returns the `timeout` element

  Specified by:
    `getTimeout` in interface `AccessTimeoutType<T>`
  Returns:
    the node defined for the element `timeout`

### setUnit

    public AccessTimeoutType<T> setUnit(TimeUnitTypeType unit)

  If not already created, a new `unit` element with the given value will be created. Otherwise, the existing `unit` element will be updated with the given value.

  Specified by:
    `setUnit` in interface `AccessTimeoutType<T>`
  Returns:
    the current instance of `AccessTimeoutType`

### setUnit

    public AccessTimeoutType<T> setUnit(java.lang.String unit)

  If not already created, a new `unit` element with the given value will be created. Otherwise, the existing `unit` element will be updated with the given value.

  Specified by:
    `setUnit` in interface `AccessTimeoutType<T>`
  Returns:
    the current instance of `AccessTimeoutType`

### getUnit

    public TimeUnitTypeType getUnit()

  Returns the `unit` element

  Specified by:
    `getUnit` in interface `AccessTimeoutType<T>`
  Returns:
    the node defined for the element `unit`

### getUnitAsString

    public java.lang.String getUnitAsString()

  Returns the `unit` element

  Specified by:
    `getUnitAsString` in interface `AccessTimeoutType<T>`
  Returns:
    the node defined for the element `unit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD